org.apache.datasketches.common

## Class SketchesArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.datasketches.common.SketchesException
        - - org.apache.datasketches.common.SketchesArgumentException

All Implemented Interfaces:
  Serializable

    public class SketchesArgumentException
    extends SketchesException

Illegal Arguments Exception class for the library

Author:
  Lee Rhodes
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SketchesArgumentException(String message)` Constructs a new runtime exception with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SketchesArgumentException

    public SketchesArgumentException(String message)

Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to Throwable.initCause(java.lang.Throwable).

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.